
try {
  var dayjs = require("dayjs");
  var inquirer = require('inquirer');
} catch (err) {
  console.error("[ err ] : 載入模組異常，請確認是否安裝 node_modules : ", err);
  return;
}

var config = null;
// 設定檔
try {
  config = require('./config.json');
} catch (err) {
  console.error("[ err ] : 載入 config.json 檔案發生錯誤，請檢查檔案是否存在或格式不符合 JSON 格式", err)
  return;
}


// 載入模組
var baseFcn = require('./modules/baseFcn.js');
var actionFcn = require('./modules/actionFcn.js');

if (baseFcn.isEmpty(config)) {
  console.error("[ err ] : config.json 不可為空，請檢察 config.json");
  return;
}

actionFcn.showActionMenu();